Skip to main content

Create a URL ticket

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/url-ticket

Since: 2.80.0

Required permission(s): AccessControl.CredentialCreate

Creates a new URL ticket credential for the specified user.

The personified link is generated automatically and returned in the response body. Only one URL ticket credential is allowed per user at a time.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the credential. If omitted, one will be generated automatically.

    policyExtId string

    The external ID of the policy to apply to this URL ticket credential.

    stateName string

    Possible values: [initial, active, tmp_locked, fail_locked, reset_code, admin_changed, disabled, archived]

    The initial state of the credential.

    identification string

    The identification string of the URL ticket, used to associate it with a specific context.

    urlPrefix string

    The URL prefix which the created link should be printed, it can overwrite policy set URL prefix.

Responses

URL ticket created successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    personifiedLink string

    The personified link generated for this URL ticket, consisting of the URL prefix and a generated token.

Loading...